package de.hft.stuttgart.quality.model.types;

import de.hft.stuttgart.quality.model.properties.ValidationResultProperty;
import org.citygml4j.core.model.core.ADEOfAbstractCityObject;

import java.io.Serial;

public class CityObjectProperties extends ADEOfAbstractCityObject {

    @Serial
    private static final long serialVersionUID = 1273072314736964714L;

    private ValidationResultProperty validationResult;

    public ValidationResultProperty getValidationResult() {
        return validationResult;
    }

    public void setValidationResult(ValidationResultProperty validationResult) {
        this.validationResult = asChild(validationResult);
    }
}
